/* Custom Properties */
:root {
    --first-color: #d90062;
    --first-alpha-color: rgba(217, 0, 98, 0.75);
    --second-color: #14192d;
    --second-alpha-color: rgba(20, 25, 45, 0.75);
    --third-color: #501464;
    --third-alpha-color: rgba(80, 20, 100, 0.75);
    --white-color: #fff;
    --gray-light-color: #f3f3f3;
    --gray-dark-color: #666;
    --black-color: #000;
    --link-color: #509ee3;
    --title-color: #333;
    --text-color: #222;
    --white-alpha-color: rgba(255, 255, 255, 0.5);
    --black-alpha-color: rgba(0, 0, 0, 0.5);
    --font: Inter, Avenir, Helvetica, Arial, sans-serif;
    --max-width: 1200px;
    --header--height: 6rem;

}

/* Reset */
html {
    box-sizing: border-box;
    font-family: var(--font);
    font-size: 16px;
    scroll-behavior: smooth;
}

body {
    margin: 0;
    overflow-x: hidden;
}

*,
*::after,
*::before {
    box-sizing: inherit;
    font-family: var(--font);
    font-size: 16px;
}

a {
    color: var(--link-color);
    transition: all 0.5s ease-out;
}

a:hover {
    opacity: 0.75;
}

h1 {
    margin: 0;
    font-size: 2rem;
}

h2 {
    margin: 0;
    font-size: 1.25rem;
}

h3 {
    margin: 0;
    font-size: 1.25rem;
}

h4 {
    margin: 0;
    font-size: 1rem;
}

h5 {
    margin: 0;
    font-size: 0.85rem;
}

h6 {
    margin: 0;
    font-size: 0.7rem;
}

img {
    max-width: 100%;
    height: auto;
}

p {
    font-size: 1.15rem;
    line-height: 1.6;
}

/* ********************************************************************** Components ********************************************************************** */

/* HeroImage */

.hero-image {
    background-image: var(--hero-image);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: var(--hero-attachment);
}

.hero-image-opacity {
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: var(--hero-opacity-color);
}

.hero-image-title {
    font-size: 4vw;
    color: var(--hero-text-color);
    overflow: hidden;
    /* Ensures the content is not revealed until the animation */
    border-right: .15em solid var(--white-alpha-color);
    /* The typwriter cursor */
    white-space: nowrap;
    /* Keeps the content on a single line */
    margin: 0 auto;
    /* Gives that scrolling effect as the typing happens */
    letter-spacing: .15em;
    /* Adjust as needed */
    animation:
        typing 3.5s steps(40, end),
        blink-caret .75s step-end infinite;
}


@keyframes typing {
    from {
        width: 0;
    }

    to {
        width: 100%;
    }
}

@keyframes blink-caret {

    from,
    to {
        border-color: transparent
    }

    50% {
        border-color: var(--white-alpha-color);
    }
}

/* Menu */
.menu-btn {
    outline: thin solid var(--first-color);
    border: 0;
    cursor: pointer;
    background-color: var(--second-color);
}

.menu-btn svg {
    fill: var(--first-color)
}

.menu {
    position: fixed;
    left: 0;
    bottom: var(--header--height);
    width: 100%;
    display: flex;
    flex-direction: column;
    background-color: var(--second-color);
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.5s ease;
}

.menu.is-active {
    opacity: 1;
    pointer-events: auto;
}

.menu a {
    padding: 1rem;
    font-size: 1.5rem;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    color: var(--first-color)
}

.menu a:hover {
    color: var(--white-color);
    background-color: var(--first-color);
}

@media screen and (min-width: 1024px) {
    .menu-btn {
        display: none;
    }

    .menu {
        position: static;
        width: auto;
        flex-direction: row;
        opacity: 1;
        pointer-events: auto;
    }

    .menu a {
        padding: 0 1rem;
    }

    .menu a:last-child {
        padding-right: 0
    }

    .menu a:hover {
        background-color: transparent;
    }
}

/* Modal */

.modal {
    position: fixed;
    z-index: 99;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--black-alpha-color);
    opacity: 0;
    pointer-events: none;
    transition: all 1s;

}

.modal-content {
    position: relative;
}

.modal-close {
    position: absolute;
    top: 1rem;
    right: 1rem;
}

.modal-close svg {
    width: 3rem;
    height: 3rem;
    fill: var(--first-color);
}

.modal[id|="project"]:target {
    opacity: 1;
    pointer-events: auto;
}

/* ********************************************************************** Utilities **********************************************************************  */

.bg-gray-light {
    background-color: var(--gray-light-color);
}

.box-shadow-1 {
    /* box-shadow: 4px, 4px, 16px, rgba(0, 0, 0, 0.25); */
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.btn {
    border-radius: .5rem;
    padding: 1rem;
    display: inline-block;
    width: 200px;
    font-weight: bold;
    text-align: center;
    text-decoration: none;
    color: var(--white-color);
    background-color: var(--first-color);
}

.container {
    margin-left: auto;
    margin-right: auto;
    max-width: var(--max-width)
}

.gray-scale {
    filter: grayscale(1)
}

.none {
    display: none;
}

.section {
    padding: 2rem 1rem;
}

.section-title {
    border-top: thin solid var(--first-color);
    border-bottom: thin solid var(--first-color);
    margin: 2rem auto;
    padding: 0.5rem 1rem;
    width: 250px;
    text-align: center;
    color: var(--title-color);

}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

@media screen and (min-width: 1024px) {
    .full-lg-screen {
        width: 100%;
        min-height: 100vh;
    }

    .text-lg-center {
        text-align: center;
    }

    .text-lg-left {
        text-align: left;
    }

    .text-lg-right {
        text-align: right;
    }
}


/* **********************************************************************Site Styles********************************************************************** */

.about>article {
    margin-bottom: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.about .connect-button {
    border-radius: 50px;
    display: inline-block;
    padding: 1rem;
    text-align: center;
    height: 60px;
    width: 60px;
    margin-top: 1rem;
}

.header {
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 99;
    padding: 1rem;
    width: 100%;
    height: var(--header--height);
    background-color: var(--second-color);
}

.header>.container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo a {
    color: var(--first-color);
    font-weight: bold;
    font-size: 2rem;
    text-decoration: none;
}

.portfolio-card {
    position: relative;
    width: 100%;
    margin: 0 auto;
    display: block;
}

.portfolio-card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.portfolio-card-info {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 1rem;
    background-color: var(--first-alpha-color);
    color: var(--white-color);
    opacity: 0;
    pointer-events: none;
    transition: all 0.5s ease-in-out;
}

.portfolio-card:hover .portfolio-card-info {
    opacity: 1;
    pointer-events: auto;
}

.portfolio-card-info>div {
    padding: 1rem;
    border: thin solid var(--white-color);
    width: 100%;
    height: 100%;
}

.portfolio-info .btn {
    width: 170px;
}

.portfolio-info aside {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.portfolio-modal {
    padding: 1rem;
    max-width: 400px;
    display: flex;
    flex-direction: column;
    background-color: var(--white-color);
}

.portfolio-modal h3 {
    color: var(--title-color);
    border-bottom: medium solid var(--first-color);
    margin: .5rem auto;
    padding: .5rem 0;

}

.skills article{
    transition: scale .5s ease-in-out ;
    border-radius: 1rem;
}

.skills article:hover{
    scale: 1.1;
}

.skills-card {
    margin: 1rem auto;
    padding: 1rem;
    text-align: center;
}

.skills-card h3 {
    color: var(--title-color);
    min-width: 100px;
}

.skills-card img {
    margin-bottom: 1.25rem;
}


.skills>.container {
    display: grid;
    grid-template-columns: repeat(2, 45%);
    justify-content: space-between;
    align-content: center;
}

.skills .section-title {
    grid-column: span 2;
}

@media screen and (min-width: 768px) {
    .portfolio>.container {
        display: grid;
        grid-template-columns: repeat(2, 50%);
    }

    .portfolio .section-title {
        grid-column: span 2;
    }

    .skills>.container {
        grid-template-columns: repeat(6, 15%);

    }

    .skills .section-title {
        grid-column: span 6;
    }
}

@media screen and (min-width: 1024px) {
    .about {
        display: grid;
        grid-template-columns: repeat(2, 45%);
        justify-content: space-between;
        align-content: center;
    }

    .header {
        position: sticky;
        top: 0;
        padding: 0.5rem;
        height: calc(var(--header-height) - 0.5rem);
    }

    .portfolio>.container {
        grid-template-columns: repeat(3, 1fr);
    }

    .portfolio .section-title {
        grid-column: span 3;
    }

    .portfolio-modal {
        flex-direction: row;
        max-width: 800px;
    }

    .portfolio-info {
        margin-left: 1rem;
        align-self: center;
    }

    .portfolio-info aside {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .portfolio-info .btn {
        width: 170px;
    }

    .skills>.container {
        grid-template-columns: repeat(6, 15%);
    }

    .skills .section-title {
        grid-column: span 6;
    }
}